explain_tcgetattr_or_die(3)

NAME
explain_tcgetattr_or_die - get terminal parameters and report errors

SYNOPSIS
#include <libexplain/tcgetattr.h>

void explain_tcgetattr_or_die(int fildes, struct termios *data);
int explain_tcgetattr_on_error(int fildes, struct termios *data);

DESCRIPTION
The explain_tcgetattr_or_die function is used to call the tcgetattr(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_tcgetattr(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_tcgetattr_on_error function is used to call the tcgetattr(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_tcgetattr(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the tcgetattr(3) system call.

data
    The data, exactly as to be passed to the tcgetattr(3) system call.

RETURN VALUE
The explain_tcgetattr_or_die function only returns on success, see tcgetattr(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_tcgetattr_on_error function always returns the value return by the wrapped tcgetattr(3) system call.

EXAMPLE
The explain_tcgetattr_or_die function is intended to be used in a fashion similar to the following example:
    explain_tcgetattr_or_die(fildes, data);

SEE ALSO

tcgetattr(3)
    get terminal parameters

explain_tcgetattr(3)
    explain tcgetattr(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller